//! Contains standard constants from lektord, must be updated manually if they
//! change in lektord...

#![allow(dead_code)]

/// MPD commands are at most 32 character long.
pub(crate) const LKT_COMMAND_LEN_MAX: usize = 32;

/// At most 32 words in a command are supported.
pub(crate) const LKT_MESSAGE_ARGS_MAX: usize = 32;

/// A message is at most <defined> chars long
pub(crate) const LKT_MESSAGE_MAX: usize = 2048;

/// At most 64 commands per client.
pub(crate) const COMMAND_LIST_MAX: usize = 64;

/// At most 16 messages per client.
pub(crate) const BUFFER_OUT_MAX: usize = 16;

/// Expected version from the lektord daemin.
pub(crate) const MPD_VERSION: &str = "0.21.16";
